FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
Fl_Mac_App_Menu Class Reference
Mac OS X-specific symbols

Mac OS-specific class allowing to localize the application menu. More...

`#include <x.H>`

List of all members.

## Static Public Attributes
static const char * | about = "About "
| Localizable text for the "About xxx" application menu item.
static const char * | hide = "Hide "
| Localizable text for the "Hide xxx" application menu item.
static const char * | hide_others = "Hide Others"
| Localizable text for the "Hide Others" application menu item.
static const char * | print = "Print Front Window"
| Localizable text for the "Print Front Window" application menu item.
static const char * | quit = "Quit "
| Localizable text for the "Quit xxx" application menu item.
static const char * | services = "Services"
| Localizable text for the "Services" application menu item.
static const char * | show = "Show All"
| Localizable text for the "Show All" application menu item.

## Detailed Description

Mac OS-specific class allowing to localize the application menu.

These character strings are used to build the application menu. They can be localized at run time to any UTF-8 text by placing instructions such as this very early in the program:

     Fl_Mac_App_Menu::print = "Imprimer la fenêtre";

## Member Data Documentation

const char * Fl_Mac_App_Menu::print = "Print Front Window"`[static]`

Localizable text for the "Print Front Window" application menu item.

This menu item won't be displayed if Fl_Mac_App_Menu::print is set to an empty string.

The documentation for this class was generated from the following files:

- mac.H
- Fl.cxx